import request from '@/utils/request'

// 查询订单详情列表
export function listLiveOrderItem(query) {
  return request({
    url: '/live/liveOrderItem/list',
    method: 'get',
    params: query
  })
}

// 查询订单详情详细
export function getLiveOrderItem(itemId) {
  return request({
    url: '/live/liveOrderItem/' + itemId,
    method: 'get'
  })
}

// 新增订单详情
export function addLiveOrderItem(data) {
  return request({
    url: '/live/liveOrderItem',
    method: 'post',
    data: data
  })
}

// 修改订单详情
export function updateLiveOrderItem(data) {
  return request({
    url: '/live/liveOrderItem',
    method: 'put',
    data: data
  })
}

// 删除订单详情
export function delLiveOrderItem(itemId) {
  return request({
    url: '/live/liveOrderItem/' + itemId,
    method: 'delete'
  })
}

// 导出订单详情
export function exportLiveOrderItem(query) {
  return request({
    url: '/live/liveOrderItem/export',
    method: 'get',
    params: query
  })
}
